//go:build windows && (amd64 || arm64 || ppc64 || ppc64le || s390x || mips64 || mips64le)

package yu_hpsocket

import (
	_ "embed"
	yu_deflate "gogs.qqck.cn/s/tools/deflate"
	yu_file "gogs.qqck.cn/s/tools/file"
	"os"
)

// dll下载地址：https://github.com/ldcsaa/HP-Socket/
// Releases v5.9.3
// HPSocket4C.dll

//go:embed api_windows_x64.dll.en
var dll_raw []byte

func init() {
	j_path := os.TempDir() + "hpsocketx64.dll"
	yu_file.Write(j_path, yu_deflate.DeflateDe(dll_raw))
	loadDLL(j_path)
}
